void RenderMenu() {
	auto app = cast<CTrackMania>(GetApp());
	auto network = cast<CTrackManiaNetwork>(app.Network);
	if (network.ServerInfo is null) return;
	auto serverInfo = cast<CGameCtnNetServerInfo>(network.ServerInfo);
	bool isOnServer = serverInfo.JoinLink != "";
	if(UI::MenuItem(Icons::Redo + " Rejoin current server", "", false, isOnServer)) {
		string joinLink = serverInfo.JoinLink;
		joinLink = joinLink.Replace("#join","#qjoin");
		app.ManiaPlanetScriptAPI.OpenLink(joinLink, CGameManiaPlanetScriptAPI::ELinkType::ManialinkBrowser);
	}
}